﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Offers</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<div class="row">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <i class="fa fa-tags fa-fw"></i>Offer Details
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <form class="form-create-offer" role="form">
                    <div class="form-group">
                        <label for="providerId">Select Provider</label>
                        <select class="form-control" id="ddl-providers" name="providerId">
                            @Html.Action("Subscribers", "Offer");
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="providerEmail">Provider Email</label>
                        <input type="email" class="form-control" placeholder="Email" name="providerEmail" />
                    </div>
                    <div class="form-group">
                        <label for="content">Offer Content</label>
                        <input type="text" class="form-control" name="content" placeholder="Description" name="offerContent" />
                    </div>
                    <div class="form-group">
                        <label for="offerContent">Validity</label>
                        <div class="row">
                            <div class="col-md-4 col-sm-8">
                                <div class="col-md-6 col-sm-6">
                                    <div class="input-group">
                                        <input type="text" class="form-control datepicker" name="startDateTime" value='' placeholder="Select start date" aria-describedby="basic-addon2">
                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-6">
                                    <div class="input-group">
                                        <input type="text" class="form-control datepicker" name="endDateTime" value='' placeholder="Select expiry date" aria-describedby="basic-addon2">
                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-3">
                                <label for="currentPrice">Current Price</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" name="currentPrice" id="txtCurrentPrice" placeholder="Current Price" aria-describedby="basic-addon2">
                                    <span class="input-group-addon">.00</span>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="discountedPercentage">Discount Percentage</label>
                                <div class="input-group">
                                    <input type="text" id="txtDiscount" class="form-control" name="discountedPercentage" placeholder="Discount Percentage" aria-describedby="basic-addon2">
                                    <span class="input-group-addon">%</span>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="actualPrice">Net Price</label><br>
                                <input type="text" class="label label-default" name="actualPrice" id="lblNetPrice" style="font-size:18px;border:none;display:block" readonly="readonly" value="0.0" />
                            </div>
                        </div>
                    </div>
                    @*<div class="form-group">
                            <label for="image">Image</label>
                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                <span class="btn btn-xs btn-default btn-file"><input type="file" /></span>
                            </div>
                        </div>*@
                    <div class="form-group">
                        <label for="quantity">Quantity</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-users"></i></span>
                            <input type="text" class="form-control" name="quantity" placeholder="Quantity" aria-describedby="basic-addon2">
                        </div>
                    </div>
                    <a class="btn btn-primary pull-right btn-create-offer">Save</a>
                </form>
            </div>
            <!-- /.panel-body -->
        </div>
    </div>
</div>
<script type="text/javascript" src="~/Scripts/modules/offer.js"></script>